﻿Public Class frmStockin

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Me.Close()
        frmShow(Form1)
    End Sub

    Private Sub txtModel_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtModel.TextChanged
        Try
            Dim price As Double
            If txtModel.Text = "" Then
                clear()
            Else
                sql = "SELECT * FROM `tblproducts` p, `tblbrand` b WHERE p.`BRANDID`=b.`BRANDID` AND `PROMODEL`='" & txtModel.Text & "'"
                result = RETRIEVESINGLE(sql)
                If result = True Then
                    With dt.Rows(0)
                        TXTPROID.Text = .Item("PROID")
                        txtBrand.Text = .Item("BRAND")

                        price = .Item("MARKUPRICE")
                        txtPrice.Text = price.ToString("n2")
                        txtDesc.Text = .Item("PRONAME") & " " & .Item("PRODESC")
                    End With
                Else

                    clear()
                End If
            End If
         
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub clear()
        txtBrand.Clear()

        txtPrice.Text = 0
        txtQty.Text = 0
        txtTOT.Text = 0
        txtDesc.Clear()
        TXTPROID.Clear()
        'txtSuplier.Clear()
        'txtSuplierID.Clear()
    End Sub
    Private Sub txtQty_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtQty.KeyPress
        Numbers_Only(e)
    End Sub

    Private Sub txtQty_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtQty.TextChanged
        Try
            If txtQty.Text = "" Then
                txtTOT.Text = 0
            Else
                Dim tot As Double
                Dim price As Double = txtPrice.Text
                Dim qty As Integer = txtQty.Text
                tot = price * qty
                txtTOT.Text = tot.ToString("n2")
            End If

        Catch ex As Exception

        End Try
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Try
            Dim TRANSID As Integer
            TRANSID = loadautonumberDESC("STOCKIN")

            sql = "INSERT INTO  `tblstockin`  (`TRANSNUM`, `PROID`, `TRANSDATE`, `TRANSQTY`, `TOTPRICE`, `REMARKS`, `SUPPLIERID`) " & _
            " VALUES (" & TRANSID & "," & TXTPROID.Text & ",'" & Format(Now(), "yyyy-MM-dd") & "'," & txtQty.Text & "," & Double.Parse(txtTOT.Text) & ",'Good'," & txtSuplierID.Text & ")"
            result = CUD(sql)
            If result = False Then
                MsgBox("tblstock in error", MsgBoxStyle.Exclamation)
            End If

            sql = "UPDATE `tblproducts` SET `PROQTY`=`PROQTY`+" & txtQty.Text & "  WHERE `PROID`=" & TXTPROID.Text
            result = CUD(sql)

            If result = True Then
                MsgBox("The quantity of the product has been upadated")

                updateautonumbercateg("STOCKIN")
                'clear()
            End If




        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub frmStockin_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            sql = "SELECT PROMODEL FROM tblproducts"
            autocompletetxt(sql, txtModel)
            clear()
        Catch ex As Exception

        End Try

    End Sub

    Private Sub btnFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFind.Click
        frmShow(frmListProduct)
        frmListProduct.Text = "STOCK-IN"
    End Sub

    Private Sub btnSuplier_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSuplier.Click
        frmShow(frmSupplier)
    End Sub

    Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
        clear()
        txtModel.Clear()
        'txtSuplier.Clear()

    End Sub
 
    Private Sub txtSuplier_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSuplier.Click
        Try
            txtSuplier.Clear()
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtModel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtModel.Click
        txtModel.Clear()
    End Sub

    Private Sub txtSuplier_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSuplier.TextChanged
        Try
            sql = "SELECT SUPPLIERID FROM tblsupplier WHERE SUPNAME ='" & txtSuplier.Text & "'"
            result = RETRIEVESINGLE(sql)
            If result = True Then
                txtSuplierID.Text = dt.Rows(0).Item(0)
            End If

        Catch ex As Exception

        End Try
    End Sub
End Class