﻿Public Class frmSupplier
    Private Sub clear()
        Try
            sql = "SELECT  `SUPPLIERID`, `SUPNAME` as 'Name', `SUPADD` as 'Address', `SUPCONTACT` as 'Contact#' FROM `tblsupplier` "
            RETRIEVEDTG(dtgList, sql)
            dtgList.Columns(0).Visible = False

            txtAdd.Clear()
            txtContact.Clear()
            txtname.Clear()

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub frmSupplier_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        clear()
        pnlRetrieve(pnlAdd, pnlList)
    End Sub

    Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
        pnlRetrieve(pnlList, pnlAdd)
        clear()
    End Sub

    Private Sub btnList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnList.Click
        clear()
        pnlRetrieve(pnlAdd, pnlList)
    End Sub

    Private Sub btnAclose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAclose.Click
        Me.Close()
        frmShow(frmStockin)
    End Sub

    Private Sub btnLClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLClose.Click
        Me.Close()
        frmShow(frmStockin)
    End Sub

    Private Sub dtgList_DoubleClick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dtgList.DoubleClick
        Try
            With frmStockin
                .txtSuplierID.Text = dtgList.CurrentRow.Cells(0).Value
                .txtSuplier.Text = dtgList.CurrentRow.Cells(1).Value
                frmShow(frmStockin)
                Me.Close()
            End With
        Catch ex As Exception

        End Try
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Try
            sql = "INSERT INTO `tblsupplier` (`SUPNAME`, `SUPADD`, `SUPCONTACT`) VALUES ('" & txtname.Text & "','" & txtAdd.Text & "','" & txtContact.Text & "')"
            result = CUD(sql)
            If result = True Then
                MsgBox("New suplier has been saved.")
                clear()
            End If

        Catch ex As Exception

        End Try
    End Sub

    Private Sub btnLadd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLadd.Click
        clear()
        pnlRetrieve(pnlList, pnlAdd)

    End Sub

    Private Sub btnAlist_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAlist.Click
        clear()
        pnlRetrieve(pnlAdd, pnlList)

    End Sub

    Private Sub txtSearch_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearch.TextChanged
        Try
            sql = "SELECT  `SUPPLIERID`, `SUPNAME` as 'Name', `SUPADD` as 'Address', `SUPCONTACT` as 'Contact#' FROM `tblsupplier` WHERE CONCAT (`SUPPLIERID`, ' ', `SUPNAME`,' ' , `SUPADD`,' ', `SUPCONTACT`) LIKE '%" & txtSearch.Text & "%'"
            RETRIEVEDTG(dtgList, sql)
            dtgList.Columns(0).Visible = False
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
End Class