﻿Public Class frmSalesInvoice
    Private Sub clear()
        txtless.Text = 0
        txtSubtot.Text = "0.00"
        txtTotPrice.Text = "0.00"
        dtgSalesCart.Rows.Clear()
        txtAddress.Clear()
        txtSoldto.Clear()
        txtSmodel.Clear()
        txtTin.Clear()
        txtSproid.Clear()
        txtContact.Clear()

        txtSubtot.Text = "0.00"
        txtless.Text = "0.00"
        txtTotPrice.Text = "0.00"

        pnlTblSumary.Visible = True
        txtTot2.Text = "0.00"
        txtChange.Text = "0.00"
        txtTenderedAmount.Text = "0.00"

        loadautonumbercateg("INVOICENUM", lblinvoiceNum)


        sql = "SELECT CUSNAME FROM tblcustomer"
        autocompletetxt(sql, txtSoldto)


        sql = "SELECT PROMODEL FROM tblproducts WHERE PROQTY > 0"
        autocompletetxt(sql, txtSmodel)

        dtgSalesCart.Columns(7).Visible = False
        dtgSalesCart.Columns(8).Visible = False
    End Sub
    Private Sub frmSalesInvoice_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        clear()
    End Sub
    Private Sub btnFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFind.Click

        frmListProduct.Text = "SALES"
        frmShow(frmListProduct)
    End Sub

    Private Sub txtSmodel_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtSmodel.KeyDown
        If e.KeyCode = Keys.Enter Then
            Dim total As Double
            Try
                Dim maxrow As Integer
                Dim items As String()
                sql = "SELECT  `PROID`, `BRAND`  , `PROMODEL` ,  `PRONAME` , `PRODESC`  ,`MARKUPRICE`,PROQTY " & _
                " FROM `tblproducts` p, `tblbrand` b " & _
                " WHERE p.`BRANDID`=b.`BRANDID` AND PROQTY > 0 AND PROMODEL ='" & txtSmodel.Text & "'"
                result = RETRIEVESINGLE(sql)
                If result = True Then
                    With dt.Rows(0)
                        If .Item("PROQTY") = 0 Then
                            MsgBox("Item is not available!", MsgBoxStyle.Exclamation)
                            txtSmodel.Clear()
                            txtSmodel.Focus()
                            Return
                        End If
                        items = New String() {1, .Item("BRAND"), _
                                              .Item("PRONAME"), _
                                              .Item("PROMODEL"), _
                                              .Item("PRODESC"), _
                                              .Item("MARKUPRICE"), _
                                              .Item("MARKUPRICE"), _
                                              .Item("PROQTY"), _
                                              .Item("PROID")}
                        Select Case dtgSalesCart.Rows.Count
                            Case Is > 0
                                For Each r As DataGridViewRow In dtgSalesCart.Rows
                                    If r.Cells(3).Value.ToUpper() = txtSmodel.Text.ToUpper() Then
                                        MsgBox("Item already exist!", MsgBoxStyle.Exclamation)
                                        Beep()
                                        txtSmodel.Clear()
                                        txtSmodel.Focus()
                                        Return
                                    End If
                                Next
                                dtgSalesCart.Rows.Add(items)
                                dtgSalesCart.Columns(7).Visible = False
                                maxrow = dtgSalesCart.Rows.Count - 1


                                With dtgSalesCart
                                    .Rows(maxrow).Selected = True
                                End With


                                txtSmodel.Clear()
                                txtSmodel.Focus()
                            Case 0
                                dtgSalesCart.Rows.Add(items)
                                'MsgBox("Item not available!", MsgBoxStyle.Exclamation)
                        End Select
                    End With

                End If
                dtgSalesCart.Columns(7).Visible = False
                dtgSalesCart.Columns(8).Visible = False
                For i = 0 To dtgSalesCart.Rows.Count - 1

                    total += dtgSalesCart.Rows(i).Cells(6).Value
                    txtSubtot.Text = total.ToString("n2")
                Next
            Catch ex As Exception
                MsgBox(ex.Message)
            End Try
        End If
    End Sub



    Private Sub txtSproid_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSproid.TextChanged
        Try
            Dim maxrow As Integer
            Dim items As String()
            Dim total As Double
            sql = "SELECT  `PROID`, `BRAND`  , `PROMODEL` ,  `PRONAME` , `PRODESC`  ,`MARKUPRICE`,PROQTY " & _
            " FROM `tblproducts` p, `tblbrand` b " & _
            " WHERE p.`BRANDID`=b.`BRANDID` AND PROID =" & txtSproid.Text
            result = RETRIEVESINGLE(sql)
            If result = True Then
                With dt.Rows(0)
                    If .Item("PROQTY") = 0 Then
                        MsgBox("Item is not available!", MsgBoxStyle.Exclamation)
                        txtSmodel.Clear()
                        txtSmodel.Focus()
                        Return
                    End If
                    items = New String() {1, .Item("BRAND"), _
                                          .Item("PRONAME"), _
                                          .Item("PROMODEL"), _
                                          .Item("PRODESC"), _
                                          .Item("MARKUPRICE"), _
                                          .Item("MARKUPRICE"), _
                                          .Item("PROQTY"), _
                                          .Item("PROID")}
                    Select Case dtgSalesCart.Rows.Count
                        Case Is > 0
                            For Each r As DataGridViewRow In dtgSalesCart.Rows
                                If r.Cells(3).FormattedValue = txtSmodel.Text Then
                                    MsgBox("Item already exist!", MsgBoxStyle.Exclamation)
                                    Beep()
                                    txtSmodel.Clear()
                                    txtSmodel.Focus()
                                    Return
                                End If
                            Next
                            dtgSalesCart.Rows.Add(items)
                            maxrow = dtgSalesCart.Rows.Count - 1


                            With dtgSalesCart
                                .Rows(maxrow).Selected = True
                            End With


                            txtSmodel.Clear()
                            txtSmodel.Focus()
                        Case 0
                            dtgSalesCart.Rows.Add(items)
                            'MsgBox("Item not available!", MsgBoxStyle.Exclamation)
                    End Select
                End With
                dtgSalesCart.Columns(7).Visible = False
                dtgSalesCart.Columns(8).Visible = False
                For i = 0 To dtgSalesCart.Rows.Count - 1

                    total += dtgSalesCart.Rows(i).Cells(6).Value
                    txtSubtot.Text = total.ToString("n2")
                Next
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub dtgSalesCart_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dtgSalesCart.CellClick
        Try
            Dim max As Integer = dtgSalesCart.Rows.Count - 1
            Dim price As Double = dtgSalesCart.CurrentRow.Cells(5).Value
            Dim qty As Integer = dtgSalesCart.CurrentRow.Cells(0).Value
            Dim subtot As Double = dtgSalesCart.CurrentRow.Cells(6).Value
            Dim originalQty As Integer = dtgSalesCart.CurrentRow.Cells(7).Value
            Dim total As Double


            If dtgSalesCart.CurrentCell.Value = "Remove" Then
                dtgSalesCart.Rows.Remove(dtgSalesCart.CurrentRow)
                If max <= 0 Then
                    txtSubtot.Text = "0.00"
                    txtTotPrice.Text = "0.00"
                End If
            End If

            If qty = 0 Then
                MsgBox("Input quantity is not valid", MsgBoxStyle.Exclamation)
                dtgSalesCart.CurrentRow.Cells(0).Value = 1
                qty = dtgSalesCart.CurrentRow.Cells(0).Value
            End If

            If originalQty < qty Then
                MsgBox("Entered quantity has been exceeded!", MsgBoxStyle.Exclamation)
                dtgSalesCart.CurrentRow.Cells(0).Value = originalQty
                qty = dtgSalesCart.CurrentRow.Cells(0).Value
            End If



            subtot = price * qty
            dtgSalesCart.CurrentRow.Cells(6).Value = subtot.ToString("n2")

            For i = 0 To dtgSalesCart.Rows.Count - 1

                total += dtgSalesCart.Rows(i).Cells(6).Value
                txtSubtot.Text = total.ToString("n2")
            Next


        Catch ex As Exception
            '  MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub txtSubtot_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSubtot.TextChanged
        Try
            Dim Cpercent As Double
            Dim less As Double
            Dim totalprice As Double

            Cpercent = txtless.Text / 100
            less = txtSubtot.Text * Cpercent
            totalprice = txtSubtot.Text - less
            txtTotPrice.Text = totalprice.ToString("n2")
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtless_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtless.TextChanged
        Try
            Dim Cpercent As Double
            Dim less As Double
            Dim totalprice As Double

            Cpercent = txtless.Text / 100
            less = txtSubtot.Text * Cpercent
            totalprice = txtSubtot.Text - less
            txtTotPrice.Text = totalprice.ToString("n2")
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtless_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtless.KeyPress
        Numbers_Only(e)
    End Sub

    Private Sub btnnew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnnew.Click
        clear()
    End Sub

    Private Sub txtSoldto_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSoldto.TextChanged
        Try
            sql = "SELECT * FROM tblcustomer WHERE CUSNAME ='" & txtSoldto.Text & "'"
            result = RETRIEVESINGLE(sql)
            If result = True Then
                With dt.Rows(0)
                    txtTin.Text = .Item("TINNUM")
                    txtAddress.Text = .Item("ADDRESS")
                    txtContact.Text = .Item("PHONENUM")
                End With
            Else
                txtTin.Clear()
                txtAddress.Clear()
                txtContact.Clear()
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Public Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Try
            Dim totqty As Integer = 0
            Dim TRANSNUM As Integer
            Dim CUSID As Integer


            TRANSNUM = loadautonumberDESC("TRANSNUM")

            If txtSoldto.Text = "" Or txtAddress.Text = "" _
            Or txtContact.Text = "" Or txtless.Text = 0 Or txtless.Text = "" Or txtSubtot.Text = "0.00" Then

                If txtless.Text = 0 Then
                    MsgBox("Discount cannot be 0!", MsgBoxStyle.Exclamation)
                Else
                    MsgBox("All fields are required!", MsgBoxStyle.Exclamation)
                End If
                Return

            End If


            ' ===========================================================

            sql = "SELECT * FROM tblcustomer WHERE CUSNAME ='" & txtSoldto.Text & "'"
            result = RETRIEVESINGLE(sql)
            If result = False Then
                CUSID = loadautonumberDESC("CUSID")

                sql = "INSERT INTO `tblcustomer` (`CUSID`,`CUSNAME`, `TINNUM`, `ADDRESS`, `PHONENUM`,DBIRTH)  " & _
                         " VALUES (" & CUSID & ",'" & txtSoldto.Text & "','" & txtTin.Text & "','" & txtAddress.Text & "','" & txtContact.Text & "','" & DISPLAYDATE(Now, "yyyy-MM-dd") & "')"
                result = CUD(sql)
                If result = False Then
                    MsgBox("Error to insert in tblcustomer", MsgBoxStyle.Exclamation)

                End If
            Else
                CUSID = dt.Rows(0).Item(0)
            End If


            For Each r As DataGridViewRow In dtgSalesCart.Rows
                sql = "INSERT INTO `tblstockout`  (`TRANSNUM`, `TRANSDATE`, `PROID`, `PURCHASEDQTY`,`TOTPRICE`, `TERMS`, `S_TYPE`, `REMARKS`) " & _
                            " VALUES (" & TRANSNUM & ",'" & INSERTMYSQLDATE(dtpTransDate, "yyyy-MM-dd") & _
                            "'," & r.Cells(8).FormattedValue & "," & r.Cells(0).FormattedValue & _
                            "," & Double.Parse(r.Cells(6).FormattedValue) & ",'" & txtTerms.Text & "','Cash','Paid')"
                result = CUD(sql)

                sql = "UPDATE `tblproducts` SET `PROQTY`=`PROQTY`-" & r.Cells(0).Value & " WHERE `PROID`= " & r.Cells(8).Value
                CUD(sql)
            Next

            If result = False Then
                MsgBox("Error to insert in tblstockout", MsgBoxStyle.Exclamation)
            End If

            For i = 0 To dtgSalesCart.Rows.Count - 1
                totqty += dtgSalesCart.Rows(i).Cells(0).Value
            Next

            sql = "INSERT INTO  `tblsummary` " & _
            " (`TRANSNUM`, `INVOICENUM`, `PURCHASEDDATE`, `TOTALQTY`, `SUBTOTAL`, `LESSPERSENT`, `TOTALPRICE`,`TENDERED`,`CUSID`) " & _
             " VALUES (" & TRANSNUM & "," & lblinvoiceNum.Text & ",'" & INSERTMYSQLDATE(dtpTransDate, "yyyy-MM-dd") & "'," & totqty & _
             "," & Double.Parse(txtSubtot.Text) & "," & txtless.Text & "," & Double.Parse(txtTotPrice.Text) & "," & Double.Parse(txtTenderedAmount.Text) & "," & CUSID & ")"
            result = CUD(sql)
            If result = False Then
                MsgBox("Error to insert in tblsummary", MsgBoxStyle.Exclamation)
            Else
                MsgBox("New invoice has been created")

            End If

           
            MsgBox("To access printed receipt please contact jannopalacios@gmail.com.", MsgBoxStyle.Exclamation)

            updateautonumbercateg("CUSID")
            updateautonumbercateg("TRANSNUM")
            updateautonumbercateg("INVOICENUM")
            

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Close()
        frmShow(Form1)
    End Sub

    Private Sub txtTerms_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtTerms.KeyPress
        e.Handled = True
    End Sub

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Me.Close()
        frmShow(Form1)
    End Sub

    
    Private Sub TenderedToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TenderedToolStripMenuItem.Click
        Try
            Dim max As Integer = dtgSalesCart.Rows.Count - 1
            If txtSoldto.Text = "" Or txtAddress.Text = "" Or txtContact.Text = "" Or max < 0 Then
                MsgBox("All fields are required.", MsgBoxStyle.Exclamation)
            Else
                With frmtendered
                    .Text = "Sales"
                    .lbldownpay.Text = txtTotPrice.Text
                End With
                frmShow(frmtendered)
            End If
        Catch ex As Exception

        End Try


    End Sub

    
    Private Sub ClearToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ClearToolStripMenuItem.Click
        Try
            clear()
        Catch ex As Exception

        End Try

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Call TenderedToolStripMenuItem_Click(sender, e)

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Call ClearToolStripMenuItem_Click(sender, e)
    End Sub
End Class