-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Apr 01, 2016 at 03:49 PM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `aguilosdb`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblappliedproduct`
--

CREATE TABLE IF NOT EXISTS `tblappliedproduct` (
  `APPLIEDID` int(11) NOT NULL AUTO_INCREMENT,
  `CUSID` int(11) NOT NULL,
  `PROID` int(11) NOT NULL,
  `TERMS` varchar(30) NOT NULL,
  `DATEAPPLIED` date NOT NULL,
  `STATUS` varchar(30) NOT NULL,
  PRIMARY KEY (`APPLIEDID`),
  KEY `CUSID` (`CUSID`),
  KEY `PROID` (`PROID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `tblappliedproduct`
--

INSERT INTO `tblappliedproduct` (`APPLIEDID`, `CUSID`, `PROID`, `TERMS`, `DATEAPPLIED`, `STATUS`) VALUES
(6, 10332, 166, '6 Months', '2016-03-21', 'Finnish');

-- --------------------------------------------------------

--
-- Table structure for table `tblautonumber`
--

CREATE TABLE IF NOT EXISTS `tblautonumber` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AUTOSTART` varchar(11) NOT NULL,
  `AUTOINC` int(11) NOT NULL,
  `AUTOEND` int(11) NOT NULL,
  `AUTOKEY` varchar(12) NOT NULL,
  `AUTONUM` int(30) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `tblautonumber`
--

INSERT INTO `tblautonumber` (`ID`, `AUTOSTART`, `AUTOINC`, `AUTOEND`, `AUTOKEY`, `AUTONUM`) VALUES
(1, '0', 1, 90, 'PROID', 10),
(2, '0', 1, 68, 'ordernumber', 0),
(3, '0', 1, 44, 'STOCKIN', 0),
(4, '1', 1, 97, 'INVOICENUM', 1),
(5, '1', 1, 66, 'TRANSNUM', 1),
(6, '10', 10, 382, 'CUSID', 10),
(7, '1', 1, 20, 'STOCKOUT', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tblbrand`
--

CREATE TABLE IF NOT EXISTS `tblbrand` (
  `BRANDID` int(11) NOT NULL AUTO_INCREMENT,
  `BRAND` varchar(90) NOT NULL,
  PRIMARY KEY (`BRANDID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Dumping data for table `tblbrand`
--

INSERT INTO `tblbrand` (`BRANDID`, `BRAND`) VALUES
(1, 'Sony'),
(2, 'Samsung'),
(3, 'Panasonic'),
(4, 'Sharp'),
(5, 'Fujidenzo'),
(6, 'Walter'),
(7, 'Hanabishi'),
(8, 'WHIRLPOOL');

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomer`
--

CREATE TABLE IF NOT EXISTS `tblcustomer` (
  `CUSID` int(11) NOT NULL AUTO_INCREMENT,
  `FNAME` varchar(90) NOT NULL,
  `LNAME` varchar(90) NOT NULL,
  `MNAME` varchar(90) NOT NULL,
  `SEX` varchar(90) NOT NULL,
  `PBIRTH` varchar(90) NOT NULL,
  `DBIRTH` date NOT NULL,
  `CIVILSTATUS` varchar(90) NOT NULL,
  `NATIONALITY` varchar(90) NOT NULL,
  `RELIGION` varchar(90) NOT NULL,
  `OCCUPATION` varchar(90) NOT NULL,
  `CUSNAME` varchar(100) NOT NULL,
  `TINNUM` varchar(30) NOT NULL,
  `ADDRESS` varchar(100) NOT NULL,
  `PHONENUM` varchar(100) NOT NULL,
  `MEMCARD` varchar(100) NOT NULL,
  PRIMARY KEY (`CUSID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10333 ;

--
-- Dumping data for table `tblcustomer`
--

INSERT INTO `tblcustomer` (`CUSID`, `FNAME`, `LNAME`, `MNAME`, `SEX`, `PBIRTH`, `DBIRTH`, `CIVILSTATUS`, `NATIONALITY`, `RELIGION`, `OCCUPATION`, `CUSNAME`, `TINNUM`, `ADDRESS`, `PHONENUM`, `MEMCARD`) VALUES
(10132, 'Jason', 'Batuto', 'Batuto', 'Male', 'Cebu City', '1989-03-17', 'Married', 'Filipino', 'Catholic', 'Teacher', 'Jason Batuto', '', 'Kabankalan City', '989-9988', ''),
(10202, '', '', '', '', '', '2016-03-20', '', '', '', '', 'Roger Intong', '234231', 'Kabankalan City', '23232-32423', ''),
(10312, '', '', '', '', '', '2016-03-20', '', '', '', '', 'Janno Palacios', '231231', 'ilog Negros Occiental', '123-21313', ''),
(10332, 'Jason', 'Tabligan', 'Enarsao', 'Male', 'Kabankalan City', '1990-03-21', 'Single', 'Filipino', 'Catholic', 'Teacher', 'Jason Tabligan', '', 'Cauayan , Neg. Occ', '998-6658', '');

-- --------------------------------------------------------

--
-- Table structure for table `tblimpound`
--

CREATE TABLE IF NOT EXISTS `tblimpound` (
  `REPOID` int(11) NOT NULL AUTO_INCREMENT,
  `STOCKOUTID` int(11) NOT NULL,
  `PROID` int(11) NOT NULL,
  `CUSID` int(11) NOT NULL,
  `REPOQTY` int(11) NOT NULL,
  `PROPRICE` double NOT NULL,
  `PAIDPRICE` double NOT NULL,
  `REPOPRICE` double NOT NULL,
  PRIMARY KEY (`REPOID`),
  KEY `PROID` (`PROID`),
  KEY `CUSID` (`CUSID`),
  KEY `STOCKOUTID` (`STOCKOUTID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tblimpound`
--


-- --------------------------------------------------------

--
-- Table structure for table `tblinstallment`
--

CREATE TABLE IF NOT EXISTS `tblinstallment` (
  `INSTALLMENTID` int(11) NOT NULL AUTO_INCREMENT,
  `CUSID` int(11) NOT NULL,
  `STOCKOUTID` int(11) NOT NULL,
  `INVOICENUM` int(11) NOT NULL,
  `PAYMENTDATE` date NOT NULL,
  `INTPERCENT` int(11) NOT NULL,
  `AMOUNTPAID` double NOT NULL,
  `ACOUNTBAL` double NOT NULL,
  `STATEBAL` double NOT NULL,
  `INTEREST` double NOT NULL,
  `REMARKS` varchar(30) NOT NULL,
  `TENDERED` double NOT NULL,
  `USERID` int(11) NOT NULL,
  PRIMARY KEY (`INSTALLMENTID`),
  UNIQUE KEY `INVOICENUM` (`INVOICENUM`),
  KEY `STOCKOUTID` (`STOCKOUTID`),
  KEY `USERID` (`USERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=60 ;

--
-- Dumping data for table `tblinstallment`
--

INSERT INTO `tblinstallment` (`INSTALLMENTID`, `CUSID`, `STOCKOUTID`, `INVOICENUM`, `PAYMENTDATE`, `INTPERCENT`, `AMOUNTPAID`, `ACOUNTBAL`, `STATEBAL`, `INTEREST`, `REMARKS`, `TENDERED`, `USERID`) VALUES
(49, 10332, 119, 185, '2016-03-21', 0, 3905.94, 14061.38, 14061.38, 0, 'Downpayments', 4000, 2),
(50, 10332, 119, 186, '2016-04-21', 0, 2343.56, 2343.56, 11717.82, 0, '1 Payment(s)', 2343.56, 2),
(51, 10332, 119, 187, '2016-05-21', 0, 1000, 2343.56, 9374.26, 0, '2 Payment(s)', 1000, 2),
(55, 10332, 119, 191, '2016-06-21', 0, 3687.12, 3687.12, 7030.7, 0, '3 Payment(s)', 3687.12, 2),
(56, 10332, 119, 192, '2016-07-21', 0, 2343.56, 2343.56, 4687.14, 0, '4 Payment(s)', 2343.56, 2),
(57, 10332, 119, 193, '2016-08-21', 0, 2343.56, 2343.56, 2343.58, 0, '5 Payment(s)', 2343.56, 2),
(59, 10332, 119, 195, '2016-09-21', 0, 2344, 2343.56, 0, 0, '6 Payment(s)', 2344, 2);

-- --------------------------------------------------------

--
-- Table structure for table `tblproducts`
--

CREATE TABLE IF NOT EXISTS `tblproducts` (
  `PROID` int(11) NOT NULL AUTO_INCREMENT,
  `BRANDID` int(11) NOT NULL,
  `SERIALNUM` varchar(90) NOT NULL,
  `PROMODEL` varchar(90) NOT NULL,
  `PRONAME` varchar(90) NOT NULL,
  `PRODESC` varchar(100) NOT NULL,
  `OPRICE` double NOT NULL,
  `INCREASE` double NOT NULL,
  `ADDPERCENT` int(11) NOT NULL,
  `MARKUPRICE` double NOT NULL,
  `PROFIT` double NOT NULL,
  `PROQTY` int(11) NOT NULL,
  PRIMARY KEY (`PROID`),
  KEY `PROBRAND` (`BRANDID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=189 ;

--
-- Dumping data for table `tblproducts`
--

INSERT INTO `tblproducts` (`PROID`, `BRANDID`, `SERIALNUM`, `PROMODEL`, `PRONAME`, `PRODESC`, `OPRICE`, `INCREASE`, `ADDPERCENT`, `MARKUPRICE`, `PROFIT`, `PROQTY`) VALUES
(133, 3, '23213', 'NR-A5613ES', 'Ref and Freezer', '5.6 cu.ft. s/d', 13900, 1.25, 10, 17375, 3475, 4),
(134, 7, '', 'HFSWD-700', 'Walter Dispenser', 'Dispenser', 6088, 1.25, 5, 7610, 1522, 0),
(139, 8, '8690587', 'WIE 9SV', 'REFREGERATOR', '9CU.FT.D/D NO FROST', 22998, 1.25, 0, 28747.5, 5749.5, 0),
(140, 8, '8998787', 'WIE 100SV', 'REFREGERATOR', '10CU.FT.D/D NO FROST', 25993, 1.25, 0, 32491.25, 6498.25, 0),
(141, 8, '7988979', 'WIE 105USS', 'REFREGERATOR', '12CU.FT.D/D NO FROST', 29999, 1.25, 0, 37498.75, 7499.75, 0),
(142, 8, '78878', 'WIE 120USS ', 'REFREGERATOR', '12CU.FT.D/D FROST', 22999, 1.25, 0, 28748.75, 5749.75, 0),
(143, 8, '7687', 'WIN852GS', 'REFREGERATOR', '8.5CU.FT.S/D DIRECT COOLING', 18499, 1.25, 0, 23123.75, 4624.75, 0),
(144, 8, '545757', '7SA2IFNI-SL', 'REFREGERATOR', '21CU.FT.SIDE BY SIDE INVERTER', 69999, 1.25, 0, 87498.75, 17499.75, 0),
(145, 8, '789978', '7SA2IFNN-SL', 'REFREGERATOR', '21CU.FT.CLASSIC SIDE BY SIDE', 59999, 1.25, 0, 74998.75, 14999.75, 0),
(146, 8, '8579856', 'WHR-20', 'CHEST TYPE FREEZER', '20CU.FT.DUAL LID W/KEY', 41999, 1.25, 0, 52498.75, 10499.75, 0),
(147, 8, '76876', 'WHM-110D', 'CHEST TYPE FREEZER', '11CU.FT.DUAL.LID W/KEY DUAL FUNCTION', 21999, 1.25, 0, 27498.75, 5499.75, 0),
(148, 8, '65686', 'WHM-SOD', 'CHEST TYPE FREEZER', '8CU.FT.DUAL LID W/KEY-DUAL FUNCTION', 16998.4, 1.25, 0, 21248, 4249.6, 0),
(149, 8, '887', 'WHM-60D', 'CHEST TYPE FREEZER', '6CU.FT.DUAL LID W/KEY DUAL FUNCTION', 14998.4, 1.25, 0, 18748, 3749.6, 0),
(150, 8, '7667', 'WHM-40D', 'CHEST TYPE FREEZER', '4CU.FT.DUAL.LID W/KEY DUAL FUNCTION', 12998.4, 1.25, 0, 16248, 3249.6, 0),
(151, 5, '9384439', 'FC-29ADF', 'FREEZER', '29 CU.FT.SOLID TOP', 38450.4, 1.25, 0, 48063, 9612.6, 1),
(152, 5, '9893449', 'FC-22ADF', 'FREEZER', '22 CU.FT. SOLID TOP', 31950.4, 1.25, 0, 39938, 7987.6, 4),
(153, 5, '27348348', 'FC-18ADF', 'FREEZER', '18 CU.FT. SOLID TOP', 28950.4, 1.25, 0, 36188, 7237.6, 1),
(154, 5, '648348343', 'FC-15 15 CU.FT. SOLID TOP', 'FREEZER', '15 CU.FT. SOLID TOP', 24950.4, 1.25, 0, 31188, 6237.6, 1),
(155, 5, '62536326', 'FC-13ADF 13 CU.FT.SOLID TOP', 'FREEZER', '13 CU.FT. SOLID TOP', 21450.4, 1.25, 0, 26813, 5362.6, 1),
(156, 5, '887823782', 'FC-10ADF 10 CU.FT. SOLID TOP', 'FREEZER', '10 CU.FT. SOLID TOP', 17450.4, 1.25, 0, 21813, 4362.6, 1),
(157, 5, '98782328', 'FC-08ADF 8 CU.FT. SOLID TOP', 'FREEZER ', '8 CU.FT. SOLID TOP', 15450.4, 1.25, 0, 19313, 3862.6, 0),
(158, 5, '73373378', 'FC-06ADF 6 CU.FT. SOLID TOP', 'FREEZER', '6 CU.FT. SOLID TOP', 13450.4, 1.25, 0, 16813, 3362.6, 0),
(159, 5, '723237338', 'FC-04ADF 4 CU.FT. SOLID TOP', 'FREEZER', '4 CU.FT. SOLID TOP', 11450.4, 1.25, 0, 14313, 2862.6, 0),
(160, 5, '12133238', 'FD-22ADF 22 CU.FT. SLIDING GLASS', 'FREEZER', '22 CU.FT. SLIDING GLASS', 36950.4, 1.25, 0, 46188, 9237.6, 0),
(161, 5, '342482482', 'FD-18ADF 18.CU.FT. SLIDING GLASS', 'FREEZER', '18 CU.FT. SLIDING GLASS', 32950.4, 1.25, 0, 41188, 8237.6, 0),
(162, 5, '324343437', 'FD-11ADF 11 CU.FT. SLIDING GLASS', 'FREEZER', '11 CU.FT. SLIDING GLASS', 24950.4, 1.25, 0, 31188, 6237.6, 0),
(163, 5, '23237237', 'FD-07ADF', 'FREEZER', '7 CU.FT. SLIDING GLASS', 16950.4, 1.25, 0, 21188, 4237.6, 0),
(164, 5, '112833823', 'FCG-55SDF', 'FREEZER', '5.5CU.FT. SOLID TOP W/ GLASS COVER INSIDE', 12450.4, 1.25, 0, 15563, 3112.6, 0),
(166, 3, '92836', 'NR A5613ES ', 'FREEZER', '5.6 CU.FT.S/D', 12499, 1.25, 0, 15623.75, 3124.75, 5),
(167, 3, '76853', 'NR-A7413ES', 'FREEZER', '7.4 CU.FT.S/D', 13749, 1.25, 0, 17186.25, 3437.25, 3),
(168, 3, '85948', 'NR-185ES', 'FREEZER', '8.5CU.FT. S/D', 15874, 1.25, 0, 19842.5, 3968.5, 2),
(169, 3, '859480', 'NR-A74ES', 'FREEZER', '7.4 CU.FT S/D', 15374, 1.25, 0, 19217.5, 3843.5, 6),
(170, 3, '849475', 'NR-A813ES', 'FREEZER', '8.5 CU.FT. S/D', 16624, 1.25, 0, 20780, 4156, 3),
(172, 3, '29483', 'NR-B853ES', 'FREEZER', '8.5 CU.FT S/D', 19374, 1.25, 0, 24217.5, 4843.5, 2),
(173, 3, '546374', 'NR-B9312ES', 'FREEZER', '9.5 CU.FT S/D', 20374, 1.25, 0, 25467.5, 5093.5, 14),
(175, 3, '5467', 'NR-A16013F', 'FREEZER', 'NR-A6013', 17999, 1.25, 0, 22498.75, 4499.75, 2),
(176, 3, '765433', 'NR-A8013', 'FREEZER', '6 CU.FT S/D', 21374, 1.25, 0, 26717.5, 5343.5, 4),
(177, 5, '19823', 'FC-29ADF', 'FREEZER', '29 CU.FT.SOLID TOP', 48063, 1.25, 0, 60078.75, 12015.75, 0),
(179, 5, '76549', 'FC-18ADF', 'FREEZER', '18 CU.FT.SOLID TOP', 36188, 1.25, 0, 45235, 9047, 0),
(180, 5, '45346', 'FC-15ADF', 'FREEZER', '15 CU.FT. SOLID TOP', 31188, 1.25, 0, 38985, 7797, 0),
(181, 5, '21345', 'FC-13ADF', 'FREEZER', '13CU.FT SOLID TOP', 26813, 1.25, 0, 33516.25, 6703.25, 0),
(182, 5, '67567', 'FC-10ADF', 'FREEZER', ' 10 CU.FT SOLID TOP', 21813, 1.25, 0, 27266.25, 5453.25, 0),
(183, 5, '3245', 'FC-08ADF', 'FREEZER', '8 CU.FT. SOLID TOP', 19313, 1.25, 0, 24141.25, 4828.25, 0),
(184, 5, '98765', 'FC-06ADF', 'FREEZER', '6 CU.FT. SOLID TOP', 16813, 1.25, 0, 21016.25, 4203.25, 0),
(185, 5, '98765', 'FC-04ADF', 'FREEZER', '4 CU.FT. SOLID TOP', 14313, 1.25, 0, 17891.25, 3578.25, 4),
(188, 1, '32145', 'KDV-32W700', 'LED TV', '24 INC. BLACK', 26249, 1.25, 0, 32811.25, 6562.25, 3);

-- --------------------------------------------------------

--
-- Table structure for table `tblstockin`
--

CREATE TABLE IF NOT EXISTS `tblstockin` (
  `STOCKINID` int(11) NOT NULL AUTO_INCREMENT,
  `TRANSNUM` int(11) NOT NULL,
  `PROID` int(11) NOT NULL,
  `TRANSDATE` date NOT NULL,
  `TRANSQTY` int(11) NOT NULL,
  `TOTPRICE` double NOT NULL,
  `REMARKS` varchar(90) NOT NULL,
  `SUPPLIERID` int(11) NOT NULL,
  PRIMARY KEY (`STOCKINID`),
  UNIQUE KEY `TRANSNUM` (`TRANSNUM`),
  KEY `PROID` (`PROID`),
  KEY `SUPPLIERID` (`SUPPLIERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=23 ;

--
-- Dumping data for table `tblstockin`
--

INSERT INTO `tblstockin` (`STOCKINID`, `TRANSNUM`, `PROID`, `TRANSDATE`, `TRANSQTY`, `TOTPRICE`, `REMARKS`, `SUPPLIERID`) VALUES
(1, 120, 188, '2016-03-21', 4, 131245, 'Good', 2),
(2, 122, 168, '2016-03-21', 3, 59527.5, 'Good', 1),
(3, 124, 167, '2016-03-22', 3, 59527.5, 'Good', 2),
(4, 125, 133, '2016-03-22', 4, 69500, 'Good', 2),
(5, 126, 169, '2016-03-22', 6, 115305, 'Good', 2),
(6, 127, 170, '2016-03-22', 3, 62340, 'Good', 2),
(7, 128, 172, '2016-03-22', 2, 48435, 'Good', 2),
(8, 129, 173, '2016-03-22', 5, 127337.5, 'Good', 2),
(9, 130, 173, '2016-03-22', 1, 25467.5, 'Good', 2),
(10, 131, 173, '2016-03-22', 1, 25467.5, 'Good', 2),
(11, 132, 175, '2016-03-22', 2, 44997.5, 'Good', 2),
(12, 133, 173, '2016-03-22', 2, 44997.5, 'Good', 2),
(13, 134, 173, '2016-03-22', 4, 101870, 'Good', 2),
(14, 135, 176, '2016-03-22', 4, 101870, 'Good', 2),
(15, 136, 185, '2016-03-22', 4, 101870, 'Good', 2),
(16, 137, 152, '2016-03-22', 4, 101870, 'Good', 1),
(17, 138, 173, '2016-03-22', 1, 25467.5, 'Good', 1),
(18, 139, 151, '2016-03-22', 1, 25467.5, 'Good', 1),
(19, 140, 153, '2016-03-22', 1, 25467.5, 'Good', 1),
(20, 141, 154, '2016-03-22', 1, 25467.5, 'Good', 1),
(21, 142, 155, '2016-03-22', 1, 25467.5, 'Good', 1),
(22, 143, 156, '2016-03-22', 1, 25467.5, 'Good', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tblstockout`
--

CREATE TABLE IF NOT EXISTS `tblstockout` (
  `STOCKOUTID` int(11) NOT NULL AUTO_INCREMENT,
  `TRANSNUM` int(11) NOT NULL,
  `TRANSDATE` date NOT NULL,
  `PROID` int(11) NOT NULL,
  `PURCHASEDQTY` int(11) NOT NULL,
  `TOTPRICE` double NOT NULL,
  `MONTHLYPAY` double NOT NULL,
  `TERMS` varchar(11) NOT NULL,
  `S_TYPE` varchar(30) NOT NULL,
  `REMARKS` varchar(30) NOT NULL,
  PRIMARY KEY (`STOCKOUTID`),
  KEY `PROID` (`PROID`),
  KEY `TRANSNUM` (`TRANSNUM`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1042 ;

--
-- Dumping data for table `tblstockout`
--

INSERT INTO `tblstockout` (`STOCKOUTID`, `TRANSNUM`, `TRANSDATE`, `PROID`, `PURCHASEDQTY`, `TOTPRICE`, `MONTHLYPAY`, `TERMS`, `S_TYPE`, `REMARKS`) VALUES
(119, 164, '2016-03-21', 166, 1, 21873.25, 2343.56, '6 Months', 'INSTALMENT', 'Paid'),
(1040, 163, '2016-03-21', 168, 1, 19842.5, 0, 'Cash', 'Cash', 'Paid'),
(1041, 165, '2016-03-21', 188, 1, 32811.25, 0, 'Cash', 'Cash', 'Paid');

-- --------------------------------------------------------

--
-- Table structure for table `tblsummary`
--

CREATE TABLE IF NOT EXISTS `tblsummary` (
  `SUMMARYID` int(11) NOT NULL AUTO_INCREMENT,
  `TRANSNUM` int(11) NOT NULL,
  `INVOICENUM` int(11) NOT NULL,
  `PURCHASEDDATE` date NOT NULL,
  `TOTALQTY` int(11) NOT NULL,
  `SUBTOTAL` double NOT NULL,
  `LESSPERSENT` int(11) NOT NULL,
  `TOTALPRICE` double NOT NULL,
  `TENDERED` double NOT NULL,
  `CUSID` int(11) NOT NULL,
  PRIMARY KEY (`SUMMARYID`),
  UNIQUE KEY `TRANSNUM` (`TRANSNUM`),
  UNIQUE KEY `INVOICENUM` (`INVOICENUM`),
  KEY `CUSID` (`CUSID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=20 ;

--
-- Dumping data for table `tblsummary`
--

INSERT INTO `tblsummary` (`SUMMARYID`, `TRANSNUM`, `INVOICENUM`, `PURCHASEDDATE`, `TOTALQTY`, `SUBTOTAL`, `LESSPERSENT`, `TOTALPRICE`, `TENDERED`, `CUSID`) VALUES
(18, 163, 184, '2016-03-21', 1, 19842.5, 10, 17858.25, 18000, 10132),
(19, 165, 196, '2016-03-21', 1, 32811.25, 10, 29530.13, 30000, 10312);

-- --------------------------------------------------------

--
-- Table structure for table `tblsupplier`
--

CREATE TABLE IF NOT EXISTS `tblsupplier` (
  `SUPPLIERID` int(11) NOT NULL AUTO_INCREMENT,
  `SUPNAME` varchar(100) NOT NULL,
  `SUPADD` varchar(100) NOT NULL,
  `SUPCONTACT` varchar(100) NOT NULL,
  PRIMARY KEY (`SUPPLIERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `tblsupplier`
--

INSERT INTO `tblsupplier` (`SUPPLIERID`, `SUPNAME`, `SUPADD`, `SUPCONTACT`) VALUES
(1, 'Janno Palacios', 'Bacolod Negros Occidental', '09128255472'),
(2, 'Jovel Herrera', 'Dumaguete City', '0913256448756');

-- --------------------------------------------------------

--
-- Table structure for table `tbluser`
--

CREATE TABLE IF NOT EXISTS `tbluser` (
  `USERID` int(11) NOT NULL AUTO_INCREMENT,
  `U_NAME` varchar(100) NOT NULL,
  `U_UNAME` varchar(100) NOT NULL,
  `U_PASS` varchar(100) NOT NULL,
  `U_TYPE` varchar(100) NOT NULL,
  PRIMARY KEY (`USERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `tbluser`
--

INSERT INTO `tbluser` (`USERID`, `U_NAME`, `U_UNAME`, `U_PASS`, `U_TYPE`) VALUES
(1, 'admin', 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da997', 'Administrator'),
(2, 'cashier', 'cashier', 'a5b42198e3fb950b5ab0d0067cbe077a41da1245', 'Cashier'),
(3, 'clerk', 'clerk', 'f38de2358e07b0c3d99164b3494ce57bff75ee70', 'Clerk'),
(4, 'Cashier2', 'Cashier2', '32646155c372fa5f7798385f228d2bf3824f8baf', 'Cashier'),
(5, 'joe', 'cashier3', 'ecb93ebce9d2b1ad689c9f7623f595a73b3e58be', 'Cashier');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tblappliedproduct`
--
ALTER TABLE `tblappliedproduct`
  ADD CONSTRAINT `tblappliedproduct_ibfk_1` FOREIGN KEY (`CUSID`) REFERENCES `tblcustomer` (`CUSID`),
  ADD CONSTRAINT `tblappliedproduct_ibfk_2` FOREIGN KEY (`PROID`) REFERENCES `tblproducts` (`PROID`);

--
-- Constraints for table `tblimpound`
--
ALTER TABLE `tblimpound`
  ADD CONSTRAINT `tblimpound_ibfk_1` FOREIGN KEY (`STOCKOUTID`) REFERENCES `tblinstallment` (`STOCKOUTID`),
  ADD CONSTRAINT `tblimpound_ibfk_2` FOREIGN KEY (`CUSID`) REFERENCES `tblcustomer` (`CUSID`);

--
-- Constraints for table `tblinstallment`
--
ALTER TABLE `tblinstallment`
  ADD CONSTRAINT `tblinstallment_ibfk_1` FOREIGN KEY (`STOCKOUTID`) REFERENCES `tblstockout` (`STOCKOUTID`),
  ADD CONSTRAINT `tblinstallment_ibfk_2` FOREIGN KEY (`USERID`) REFERENCES `tbluser` (`USERID`);

--
-- Constraints for table `tblproducts`
--
ALTER TABLE `tblproducts`
  ADD CONSTRAINT `tblproducts_ibfk_1` FOREIGN KEY (`BRANDID`) REFERENCES `tblbrand` (`BRANDID`);

--
-- Constraints for table `tblstockin`
--
ALTER TABLE `tblstockin`
  ADD CONSTRAINT `tblstockin_ibfk_2` FOREIGN KEY (`SUPPLIERID`) REFERENCES `tblsupplier` (`SUPPLIERID`),
  ADD CONSTRAINT `tblstockin_ibfk_3` FOREIGN KEY (`PROID`) REFERENCES `tblproducts` (`PROID`);

--
-- Constraints for table `tblstockout`
--
ALTER TABLE `tblstockout`
  ADD CONSTRAINT `tblstockout_ibfk_1` FOREIGN KEY (`PROID`) REFERENCES `tblproducts` (`PROID`);

--
-- Constraints for table `tblsummary`
--
ALTER TABLE `tblsummary`
  ADD CONSTRAINT `tblsummary_ibfk_1` FOREIGN KEY (`TRANSNUM`) REFERENCES `tblstockout` (`TRANSNUM`);
